#
# spec file for package qwebyast
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           qwebyast
BuildRequires:  libqt4-devel
#BuildRequires:  libQtWebKit-devel
BuildRequires:  cmake >= 2.4.6
Summary:        WebYaST Desktop Applet
License:        GPL-3.0 or GPL-2.0
Group:          System/Management
Version:        0.0.14
Release:        10.2
Url:            http://en.opensuse.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  update-desktop-files

%description
A desktop applet that starts and stops WebYaST

Authors:
--------
    Thomas Goettlicher <tgoettlicher_at_novell.com>

%prep
%setup -q -n %{name}-%{version} 

%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=/usr ..
cd ..

%install
cd build
%makeinstall
cd ..

%suse_update_desktop_file -n $RPM_BUILD_ROOT/usr/share/applications/chrome-webyast.desktop
%suse_update_desktop_file -n $RPM_BUILD_ROOT/usr/share/applications/chromium-webyast.desktop

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)

%dir /usr/share/icons/hicolor
%dir /usr/share/icons/hicolor/16x16
%dir /usr/share/icons/hicolor/16x16/apps
%dir /usr/share/icons/hicolor/32x32
%dir /usr/share/icons/hicolor/32x32/apps
%dir /usr/share/icons/hicolor/32x32/apps/qwebyast
%dir /usr/share/icons/hicolor/32x32/apps/qwebyast/pics
%dir /usr/share/icons/hicolor/48x48
%dir /usr/share/icons/hicolor/48x48/apps
/usr/share/icons/hicolor/32x32/apps/qwebyast/pics/qwebyast-disabled.png
/usr/share/icons/hicolor/32x32/apps/qwebyast/pics/qwebyast-enabled.png
/usr/share/icons/hicolor/16x16/apps/qwebyast.png
/usr/share/icons/hicolor/32x32/apps/qwebyast.png
/usr/share/icons/hicolor/48x48/apps/qwebyast.png
/usr/share/pixmaps/qwebyast.png
/usr/bin/qwebyast
/usr/share/applications/qwebyast.desktop
/usr/share/applications/chrome-webyast.desktop
/usr/share/applications/chromium-webyast.desktop
%config /etc/xdg/autostart/qwebyast-autostart.desktop
/usr/bin/webyast.sh

%changelog
* Tue Jan 15 2013 lslezak@suse.cz
- updated desktop files (wrong port number) (bnc#790286)
- updated start script to work with the initscript (merged
  services)
- 0.0.14
* Thu Dec  8 2011 coolo@suse.com
- the license of the files seem to be "version 2 or version 3", not
  a general GPL
* Tue Oct 25 2011 schubi@suse.com
- merging client and service
* Tue Sep 20 2011 tgoettlicher@suse.de
- fixed license
- V 0.0.13
* Wed May 11 2011 schubi@novell.com
- start collectd too (bnc #688594)
- V 0.0.12
* Wed Feb  2 2011 tgoettlicher@suse.de
- fixed multiple launch (bnc #668208)
- V 0.0.11
* Tue Nov 23 2010 tgoettlicher@suse.de
- minor improvements
- V 0.0.10
* Fri Nov 19 2010 tgoettlicher@suse.de
- sle11sp1 enabled
- V 0.0.9
* Fri Nov 19 2010 tgoettlicher@suse.de
- removed webkit dependency
- improved browser detection
- V 0.0.8
* Wed Nov 17 2010 tgoettlicher@suse.de
- reverted back to firefox
- V 0.0.7
* Tue Nov 16 2010 tgoettlicher@suse.de
- show webyast in own window instead of running firefox
- V 0.0.6
* Tue Nov 16 2010 tgoettlicher@suse.de
- initial version
- V 0.0.1
